package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class RealtimePpmPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.DATE_TIME
     *
     * @mbggenerated
     */
    private Date dateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.REALTIME_PPM
     *
     * @mbggenerated
     */
    private BigDecimal realtimePpm;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column realtime_ppm.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.HANDLE
     *
     * @return the value of realtime_ppm.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.HANDLE
     *
     * @param handle the value for realtime_ppm.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.RESOURCE_BO
     *
     * @return the value of realtime_ppm.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.RESOURCE_BO
     *
     * @param resourceBo the value for realtime_ppm.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.DATE_TIME
     *
     * @return the value of realtime_ppm.DATE_TIME
     *
     * @mbggenerated
     */
    public Date getDateTime() {
        return dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.DATE_TIME
     *
     * @param dateTime the value for realtime_ppm.DATE_TIME
     *
     * @mbggenerated
     */
    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.REALTIME_PPM
     *
     * @return the value of realtime_ppm.REALTIME_PPM
     *
     * @mbggenerated
     */
    public BigDecimal getRealtimePpm() {
        return realtimePpm;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.REALTIME_PPM
     *
     * @param realtimePpm the value for realtime_ppm.REALTIME_PPM
     *
     * @mbggenerated
     */
    public void setRealtimePpm(BigDecimal realtimePpm) {
        this.realtimePpm = realtimePpm;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.CREATED_DATE_TIME
     *
     * @return the value of realtime_ppm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for realtime_ppm.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.MODIFIED_DATE_TIME
     *
     * @return the value of realtime_ppm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for realtime_ppm.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column realtime_ppm.MODIFIED_USER
     *
     * @return the value of realtime_ppm.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column realtime_ppm.MODIFIED_USER
     *
     * @param modifiedUser the value for realtime_ppm.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}